/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2024/02/04 18:16:10
 */

import { Controller } from './base.js'
import { DEFAULT_OPTIONS } from './config.js'

export class Font extends Controller {
  #fontface = new Controller(DEFAULT_OPTIONS.fontface)

  constructor(opt) {
    super(Object.assign({}, DEFAULT_OPTIONS.font, opt))
  }

  get fontFace() {
    return this.#fontface
  }

  set fontFace(opt = {}) {
    this.#fontface = new Controller(opt)
  }
}
