/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2024/02/04 12:34:50
 */

export default class Str {
  constructor(str) {
    this.str = str
  }

  toUTF8Bytes() {
    let byteArray = []

    for (let i = 0; i < str.length; i++) {
      if (str.charCodeAt(i) <= 0x7f) {
        byteArray.push(str.charCodeAt(i))
      } else {
        let h = encodeURIComponent(str.charAt(i)).substr(1).split('%')

        for (let j = 0; j < h.length; j++) {
          byteArray.push(parseInt(h[j], 16))
        }
      }
    }
    return byteArray
  }

  toUCS2Bytes() {
    // Code is taken here:
    // http://stackoverflow.com/questions/6226189/how-to-convert-a-string-to-bytearray
    let byteArray = []
    let ch

    for (let i = 0; i < str.length; ++i) {
      ch = str.charCodeAt(i) // get char
      byteArray.push(ch >> 8)
      byteArray.push(ch & 0xff)
    }
    return byteArray
  }
}
