// See documentation here: http://www.microsoft.com/typography/otspec/hmtx.htm

import { ByteBuffer } from '../../microbuffer.js'

export default function createHtmxTable(font) {
  let buf = new ByteBuffer(font.glyphs.length * 4)

  font.glyphs.forEach(function (glyph) {
    buf.writeUint16(glyph.width) //advanceWidth
    buf.writeInt16(glyph.xMin) //lsb
  })
  return buf
}
